Pixxel

List items in a collection

List of items present in a collection

GET/v0/archives/collections/{cid}/items
Authorisations
AuthorizationString
Path Parameters
cidstringrequired
Collection ID
Query Parameters
limitinteger
Limit
offsetinteger
Offset
Response
application/json
OK
typestring
The type of the collectionExample: "FeatureCollection"
featuresobject[]
Show child attributes
linksobject[]
Show child attributes
List items in a collection
1curl -X GET 'https://api.pixxel.space/v0/archives/collections/{cid}/items' \
2 -H 'Authorization: YOUR_API_KEY'
Response:
{
"type": "FeatureCollection",
"features": [
{
"id": "20201211_223832_CS25",
"type": "Feature",
"collection": "simple-collection_2",
"stac_version": "1.0.0",
"stac_extensions": [
"https://stac-extensions.github.io/eo/v1.0.0/schema.json",
"https://stac-extensions.github.io/projection/v1.0.0/schema.json",
"https://stac-extensions.github.io/view/v1.0.0/schema.json"
],
"bbox": [
"172.91173669923782",
"1.3438851951615003",
"172.95469614953714",
"1.3690476620161975"
],
"geometry": null,
"properties": null,
"assets": {},
"links": [
{
"href": "https://example.com",
"rel": "self",
"title": "Example Link Title",
"type": "application/json"
}
]
}
],
"links": [
{
"href": "https://example.com",
"rel": "self",
"title": "Example Link Title",
"type": "application/json"
}
]
}